Index: doc/conf.py
===================================================================
--- doc/conf.py	(revision 30b60d21e384fd9fda8e281e787ff2869925e10d)
+++ doc/conf.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -36,5 +36,5 @@
               #'only_directives',
               #'matplotlib.sphinxext.mathmpl',
-              'matplotlib.sphinxext.only_directives',
+              #'matplotlib.sphinxext.only_directives',
               'matplotlib.sphinxext.plot_directive',
               'dollarmath',
Index: doc/genmodel.py
===================================================================
--- doc/genmodel.py	(revision b866abfff00ead98986dd2d7b2805c3f1b69f14d)
+++ doc/genmodel.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -7,4 +7,5 @@
 import matplotlib.pyplot as plt
 sys.path.insert(0, os.path.abspath('..'))
+import sasmodels
 from sasmodels import generate, core
 from sasmodels.direct_model import DirectModel, call_profile
@@ -127,4 +128,44 @@
     #print("figure saved in",path)
 
+def copy_if_newer(src, dst):
+    from os.path import dirname, exists, getmtime
+    import shutil
+    if not exists(dst):
+        path = dirname(dst)
+        if not exists(path):
+            os.makedirs(path)
+        shutil.copy2(src, dst)
+    elif getmtime(src) > getmtime(dst):
+        shutil.copy2(src, dst)
+
+def link_sources(model_info):
+    from os.path import basename, dirname, realpath, join as joinpath
+
+    # List source files in reverse order of dependency.
+    model_file = basename(model_info.filename)
+    sources = list(reversed(model_info.source + [model_file]))
+
+    # Copy files to src dir under models directory.  Need to do this
+    # because sphinx can't link to an absolute path.
+    root = dirname(dirname(realpath(__file__)))
+    src = joinpath(root, "sasmodels", "models")
+    dst = joinpath(root, "doc", "model", "src")
+    for path in sources:
+        copy_if_newer(joinpath(src, path), joinpath(dst, path))
+
+    # Link to local copy of the files
+    downloads = [":download:`%s <src/%s>`"%(path, path) for path in sources]
+
+    # Link to github repo (either the tagged sasmodels version or master)
+    url = "https://github.com/SasView/sasmodels/blob/v%s"%sasmodels.__version__
+    #url = "https://github.com/SasView/sasmodels/blob/master"%sasmodels.__version__
+    links = ["`%s <%s/sasmodels/models/%s>`_"%(path, url, path) for path in sources]
+
+    sep = u"\n\\ \u25E6 \\ "  # bullet
+    body = "\n**Source**\n"
+    #body += "\n\\ " + sep.join(links) + "\n\n"
+    body += "\n\\ " + sep.join(downloads) + "\n\n"
+    return body
+
 def gen_docs(model_info):
     # type: (ModelInfo) -> None
@@ -150,13 +191,17 @@
     match = re.search(pattern, docstr.upper())
 
+    sources = link_sources(model_info)
+
+    insertion = captionstr + sources
+
     if match:
         docstr1 = docstr[:match.start()]
         docstr2 = docstr[match.start():]
-        docstr = docstr1 + captionstr + docstr2
+        docstr = docstr1 + insertion + docstr2
     else:
         print('------------------------------------------------------------------')
         print('References NOT FOUND for model: ', model_info.id)
         print('------------------------------------------------------------------')
-        docstr += captionstr
+        docstr += insertion
 
     open(sys.argv[2],'w').write(docstr)
Index: sasmodels/models/_spherepy.py
===================================================================
--- sasmodels/models/_spherepy.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/_spherepy.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -39,17 +39,10 @@
 John Wiley and Sons, New York, (1955)
 
-Source
-------
-
-`_spherepy.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/_spherepy.py>`_
-`sphere.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/sphere.c>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author: P Kienzle** 
-* **Last Modified by:** 
+* **Author: P Kienzle**
+* **Last Modified by:**
 * **Last Reviewed by:** S King and P Parker **Date:** 2013/09/09 and 2014/01/06
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/adsorbed_layer.py
===================================================================
--- sasmodels/models/adsorbed_layer.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/adsorbed_layer.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -49,9 +49,4 @@
    Layers*, *Macromol. Symp.*, 190 (2002) 33-42.
 
-Source
-------
-
-`adsorbed_layer.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/adsorbed_layer.py>`_
-
 Authorship and Verification
 ----------------------------
@@ -60,5 +55,4 @@
 * **Last Modified by:** Paul Kienzle **Date:** April 14, 2016
 * **Last Reviewed by:** Steve King **Date:** March 18, 2016
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/barbell.py
===================================================================
--- sasmodels/models/barbell.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/barbell.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -81,11 +81,4 @@
 .. [#] L. Onsager, *Ann. New York Acad. Sci.*, 51 (1949) 627-659
 
-Source
-------
-
-`barbell.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/barbell.py>`_
-
-`barbell.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/barbell.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -94,5 +87,4 @@
 * **Last Modified by:** Paul Butler **Date:** March 20, 2016
 * **Last Reviewed by:** Richard Heenan **Date:** January 4, 2017
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/bcc_paracrystal.py
===================================================================
--- sasmodels/models/bcc_paracrystal.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/bcc_paracrystal.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -100,11 +100,4 @@
    (Corrections to FCC and BCC lattice structure calculation)
 
-Source
-------
-
-`bcc_paracrystal.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/bcc_paracrystal.py>`_
-
-`bcc_paracrystal.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/bcc_paracrystal.c>`_
-
 Authorship and Verification
 ---------------------------
@@ -113,5 +106,4 @@
 * **Last Modified by:** Paul Butler **Date:** September 29, 2016
 * **Last Reviewed by:** Richard Heenan **Date:** March 21, 2016
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/be_polyelectrolyte.py
===================================================================
--- sasmodels/models/be_polyelectrolyte.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/be_polyelectrolyte.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -91,9 +91,4 @@
 .. [#] E Raphael, J F Joanny, *Europhysics Letters*, 11 (1990) 179
 
-Source
-------
-
-`be_polyelectrolyte.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/be_polyelectrolyte.py>`_
-
 Authorship and Verification
 ----------------------------
@@ -102,5 +97,4 @@
 * **Last Modified by:** Paul Butler **Date:** September 25, 2018
 * **Last Reviewed by:** Paul Butler **Date:** September 25, 2018
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/binary_hard_sphere.py
===================================================================
--- sasmodels/models/binary_hard_sphere.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/binary_hard_sphere.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -65,11 +65,4 @@
 .. [#] S R Kline, *J Appl. Cryst.*, 39 (2006) 895
 
-Source
-------
-
-`binary_hard_sphere.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/binary_hard_sphere.py>`_
-
-`binary_hard_sphere.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/binary_hard_sphere.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -78,5 +71,4 @@
 * **Last Modified by:** Paul Butler **Date:** March 20, 2016
 * **Last Reviewed by:** Paul Butler **Date:** March 20, 2016
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/broad_peak.py
===================================================================
--- sasmodels/models/broad_peak.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/broad_peak.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -33,9 +33,4 @@
 None.
 
-Source
-------
-
-`broad_peak.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/broad_peak.py>`_
-
 Authorship and Verification
 ----------------------------
@@ -44,5 +39,4 @@
 * **Last Modified by:** Paul kienle **Date:** July 24, 2016
 * **Last Reviewed by:** Richard Heenan **Date:** March 21, 2016
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/capped_cylinder.py
===================================================================
--- sasmodels/models/capped_cylinder.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/capped_cylinder.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -84,11 +84,4 @@
 .. [#] L. Onsager, *Ann. New York Acad. Sci.*, 51 (1949) 627-659
 
-Source
-------
-
-`capped_cylinder.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/capped_cylinder.py>`_
-
-`capped_cylinder.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/capped_cylinder.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -97,5 +90,4 @@
 * **Last Modified by:** Paul Butler **Date:** September 30, 2016
 * **Last Reviewed by:** Richard Heenan **Date:** January 4, 2017
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/core_multi_shell.py
===================================================================
--- sasmodels/models/core_multi_shell.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/core_multi_shell.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -39,11 +39,4 @@
    Neutron Scattering*, Plenum Press, New York, 1987.
 
-Source
-------
-
-`core_multi_shell.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/core_multi_shell.py>`_
-
-`core_multi_shell.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/core_multi_shell.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -52,5 +45,4 @@
 * **Last Modified by:** Paul Kienzle **Date:** September 12, 2016
 * **Last Reviewed by:** Paul Kienzle **Date:** September 12, 2016
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 from __future__ import division
Index: sasmodels/models/core_shell_bicelle.py
===================================================================
--- sasmodels/models/core_shell_bicelle.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/core_shell_bicelle.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -92,11 +92,4 @@
 .. [#] L. Onsager, *Ann. New York Acad. Sci.*, 51 (1949) 627-659
 
-Source
-------
-
-`core_shell_bicelle.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/core_shell_bicelle.py>`_
-
-`core_shell_bicelle.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/core_shell_bicelle.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -105,5 +98,4 @@
 * **Last Modified by:** Paul Butler **Date:** September 30, 2016
 * **Last Reviewed by:** Richard Heenan **Date:** January 4, 2017
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/core_shell_bicelle_elliptical.py
===================================================================
--- sasmodels/models/core_shell_bicelle_elliptical.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/core_shell_bicelle_elliptical.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -101,11 +101,4 @@
 .. [#] L. Onsager, *Ann. New York Acad. Sci.*, 51 (1949) 627-659
 
-Source
-------
-
-`core_shell_bicelle_elliptical.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/core_shell_bicelle_elliptical.py>`_
-
-`core_shell_bicelle_elliptical.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/core_shell_bicelle_elliptical.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -114,5 +107,4 @@
 * **Last Modified by:**  Richard Heenan **Date:** December 14, 2016
 * **Last Reviewed by:**  Paul Kienzle **Date:** Feb 28, 2018
-* **Source added by :**  Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/core_shell_bicelle_elliptical_belt_rough.py
===================================================================
--- sasmodels/models/core_shell_bicelle_elliptical_belt_rough.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/core_shell_bicelle_elliptical_belt_rough.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -113,11 +113,4 @@
 .. [#] L. Onsager, *Ann. New York Acad. Sci.*, 51 (1949) 627-659
 
-Source
-------
-
-`core_shell_bicelle_elliptical_belt_rough.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/core_shell_bicelle_elliptical_belt_rough.py>`_
-
-`core_shell_bicelle_elliptical_belt_rough.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/core_shell_bicelle_elliptical_belt_rough.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -126,5 +119,4 @@
 * **Last Modified by:**  Richard Heenan new 2d orientation **Date:** October 5, 2017
 * **Last Reviewed by:**  Richard Heenan 2d calc seems agree with 1d **Date:** Nov 2, 2017
-* **Source added by :**  Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/core_shell_cylinder.py
===================================================================
--- sasmodels/models/core_shell_cylinder.py	(revision 81d0b9bccff7ed3da6e4dd6a1f3cebae2e86f542)
+++ sasmodels/models/core_shell_cylinder.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -72,11 +72,4 @@
 .. [#] L. Onsager, *Ann. New York Acad. Sci.*, 51 (1949) 627-659
 
-Source
-------
-
-`core_shell_cylinder.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/core_shell_cylinder.py>`_
-
-`core_shell_cylinder.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/core_shell_cylinder.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -85,5 +78,4 @@
 * **Last Modified by:** Paul Kienzle **Date:** Aug 8, 2016
 * **Last Reviewed by:** Richard Heenan **Date:** March 18, 2016
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/core_shell_ellipsoid.py
===================================================================
--- sasmodels/models/core_shell_ellipsoid.py	(revision e5a8f33dff2ddeac9fa0154daadf4f8eaed568e2)
+++ sasmodels/models/core_shell_ellipsoid.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -3,8 +3,8 @@
 ----------
 
-Parameters for this model are the core axial ratio $X_{core}$ and a shell 
-thickness $t_{shell}$, which are more often what we would like to determine 
-and make the model better behaved, particularly when polydispersity is 
-applied, than the four independent radii used in the original parameterization 
+Parameters for this model are the core axial ratio $X_{core}$ and a shell
+thickness $t_{shell}$, which are more often what we would like to determine
+and make the model better behaved, particularly when polydispersity is
+applied, than the four independent radii used in the original parameterization
 of this model.
 
@@ -19,5 +19,5 @@
 $X_{core}$ = 1 is a spherical core.
 
-For a fixed shell thickness $X_{polar shell}$ = 1, to scale $t_{shell}$ 
+For a fixed shell thickness $X_{polar shell}$ = 1, to scale $t_{shell}$
 pro-rata with the radius set or constrain $X_{polar shell}$ = $X_{core}$.
 
@@ -47,5 +47,5 @@
 
 .. In following equation SK changed radius\_equat\_core to R_e
-  
+
 .. math::
     :nowrap:
@@ -76,6 +76,6 @@
 $V = (4/3)\pi R_pR_e^2$ is the volume of the ellipsoid , $R_p$ is the
 polar radius along the rotational axis of the ellipsoid, $R_e$ is the
-equatorial radius perpendicular to the rotational axis of the ellipsoid, 
-$t_{shell}$ is the thickness of the shell at the equator, 
+equatorial radius perpendicular to the rotational axis of the ellipsoid,
+$t_{shell}$ is the thickness of the shell at the equator,
 and $\Delta \rho$ (the contrast) is the scattering length density difference,
 either $(\rho_{core} - \rho_{shell})$ or $(\rho_{shell} - \rho_{solvent})$.
@@ -98,11 +98,4 @@
 .. [#] Berr, S. *J. Phys. Chem.*, 1987, 91, 4760
 
-Source
-------
-
-`core_shell_ellipsoid.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/core_shell_ellipsoid.py>`_
-
-`core_shell_ellipsoid.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/core_shell_ellipsoid.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -111,5 +104,4 @@
 * **Last Modified by:** Richard Heenan (reparametrised model) **Date:** 2015
 * **Last Reviewed by:** Steve King **Date:** March 27, 2019
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/core_shell_parallelepiped.py
===================================================================
--- sasmodels/models/core_shell_parallelepiped.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/core_shell_parallelepiped.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -175,11 +175,4 @@
 .. [#] L. Onsager, *Ann. New York Acad. Sci.*, 51 (1949) 627-659
 
-Source
-------
-
-`core_shell_parallelepiped.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/core_shell_parallelepiped.py>`_
-
-`core_shell_parallelepiped.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/core_shell_parallelepiped.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -190,5 +183,4 @@
 * **Last Reviewed by:** Paul Butler **Date:** May 24, 2018 - documentation
   updated
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/core_shell_sphere.py
===================================================================
--- sasmodels/models/core_shell_sphere.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/core_shell_sphere.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -50,18 +50,10 @@
 .. [#] A Guinier and G Fournet, *Small-Angle Scattering of X-Rays*, John Wiley and Sons, New York, (1955)
 
-Source
-------
-
-`core_shell_sphere.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/core_shell_sphere.py>`_
-
-`core_shell_sphere.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/core_shell_sphere.c>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 
Index: sasmodels/models/correlation_length.py
===================================================================
--- sasmodels/models/correlation_length.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/correlation_length.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -32,16 +32,10 @@
 .. [#] B Hammouda, D L Ho and S R Kline, Insight into Clustering in Poly(ethylene oxide) Solutions, Macromolecules, 37 (2004) 6932-6937
 
-Source
-------
-
-`correlation_length.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/correlation_length.py>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 
Index: sasmodels/models/cylinder.py
===================================================================
--- sasmodels/models/cylinder.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/cylinder.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -100,18 +100,10 @@
 .. [#] L. Onsager, *Ann. New York Acad. Sci.*, 51 (1949) 627-659
 
-Source
-------
-
-`cylinder.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/cylinder.py>`_
-
-`cylinder.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/cylinder.c>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 
Index: sasmodels/models/ellipsoid.py
===================================================================
--- sasmodels/models/ellipsoid.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/ellipsoid.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -109,11 +109,4 @@
 .. [#] A. Isihara. *J. Chem. Phys.*, 18 (1950) 1446-1449
 
-Source
-------
-
-`ellipsoid.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/ellipsoid.py>`_
-
-`ellipsoid.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/ellipsoid.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -122,5 +115,4 @@
 * **Converted to sasmodels by:** Helen Park **Date:** July 9, 2014
 * **Last Modified by:** Paul Kienzle **Date:** March 22, 2017
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 from __future__ import division
Index: sasmodels/models/elliptical_cylinder.py
===================================================================
--- sasmodels/models/elliptical_cylinder.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/elliptical_cylinder.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -89,11 +89,4 @@
 .. [#] L. Onsager, *Ann. New York Acad. Sci.*, 51 (1949) 627-659
 
-Source
-------
-
-`elliptical_cylinder.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/elliptical_cylinder.py>`_
-
-`elliptical_cylinder.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/elliptical_cylinder.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -102,5 +95,4 @@
 * **Last Modified by:**
 * **Last Reviewed by:**  Richard Heenan - corrected equation in docs **Date:** December 21, 2016
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/fcc_paracrystal.py
===================================================================
--- sasmodels/models/fcc_paracrystal.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/fcc_paracrystal.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -99,11 +99,4 @@
    (Corrections to FCC and BCC lattice structure calculation)
 
-Source
-------
-
-`fcc_paracrystal.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/fcc_paracrystal.py>`_
-
-`fcc_paracrystal.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/fcc_paracrystal.c>`_
-
 Authorship and Verification
 ---------------------------
@@ -112,5 +105,4 @@
 * **Last Modified by:** Paul Butler **Date:** September 29, 2016
 * **Last Reviewed by:** Richard Heenan **Date:** March 21, 2016
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/flexible_cylinder.py
===================================================================
--- sasmodels/models/flexible_cylinder.py	(revision 40c982540fc3adc5018a73c39d308307a19d52c3)
+++ sasmodels/models/flexible_cylinder.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -33,5 +33,5 @@
 and solvent respectively.
 
-Our model uses the form factor calculations in reference [1] as implemented in a 
+Our model uses the form factor calculations in reference [1] as implemented in a
 c-library provided by the NIST Center for Neutron Research (Kline, 2006). This states:
 
@@ -41,5 +41,5 @@
     pseudocontinuous limit.
     See equations (13,26-27) in the original reference for the details.
-    
+
 .. note::
 
@@ -61,5 +61,5 @@
 
 
-**This is a model with complex behaviour depending on the ratio of** $L/b$ **and the 
+**This is a model with complex behaviour depending on the ratio of** $L/b$ **and the
 reader is strongly encouraged to read reference [1] before use.**
 
@@ -73,20 +73,10 @@
 .. [#] W R Chen, P D Butler and L J Magid, *Incorporating Intermicellar Interactions in the Fitting of SANS Data from Cationic Wormlike Micelles.* Langmuir, 22(15) 2006 6539-6548
 
-Source
-------
-
-`flexible_cylinder.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/flexible_cylinder.py>`_
-
-`flexible_cylinder.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/flexible_cylinder.c>`_
-
-`wrc_cyl.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/lib/wrc_cyl.c>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
+* **Author:**
+* **Last Modified by:**
 * **Last Reviewed by:** Steve King **Date:** March 26, 2019
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/flexible_cylinder_elliptical.py
===================================================================
--- sasmodels/models/flexible_cylinder_elliptical.py	(revision 40c982540fc3adc5018a73c39d308307a19d52c3)
+++ sasmodels/models/flexible_cylinder_elliptical.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -26,6 +26,6 @@
 -----------
 
-The function is calculated in a similar way to that for the 
-:ref:`flexible-cylinder` model in reference [1] below using the author's 
+The function is calculated in a similar way to that for the
+:ref:`flexible-cylinder` model in reference [1] below using the author's
 "Method 3 With Excluded Volume".
 
@@ -71,5 +71,5 @@
 these parameters must be held fixed during model fitting.
 
-**This is a model with complex behaviour depending on the ratio of** $L/b$ **and the 
+**This is a model with complex behaviour depending on the ratio of** $L/b$ **and the
 reader is strongly encouraged to read reference [1] before use.**
 
@@ -83,20 +83,10 @@
 .. [#] W R Chen, P D Butler and L J Magid, *Incorporating Intermicellar Interactions in the Fitting of SANS Data from Cationic Wormlike Micelles.* Langmuir, 22(15) 2006 6539-6548
 
-Source
-------
-
-`flexible_cylinder_elliptical.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/flexible_cylinder_elliptical.py>`_
-
-`flexible_cylinder_elliptical.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/flexible_cylinder_elliptical.c>`_
-
-`wrc_cyl.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/lib/wrc_cyl.c>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
+* **Author:**
 * **Last Modified by:** Richard Heenan **Date:** December, 2016
 * **Last Reviewed by:** Steve King **Date:** March 26, 2019
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/fractal.py
===================================================================
--- sasmodels/models/fractal.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/fractal.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -46,11 +46,4 @@
 .. [#] J Teixeira, *J. Appl. Cryst.*, 21 (1988) 781-785
 
-Source
-------
-
-`fractal.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/fractal.py>`_
-
-`fractal.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/fractal.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -60,5 +53,4 @@
 * **Last Modified by:** Paul Butler **Date:** March 12, 2017
 * **Last Reviewed by:** Paul Butler **Date:** March 12, 2017
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 from __future__ import division
Index: sasmodels/models/fractal_core_shell.py
===================================================================
--- sasmodels/models/fractal_core_shell.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/fractal_core_shell.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -51,11 +51,4 @@
 .. [#Kline]  S R Kline, *J Appl. Cryst.*, 39 (2006) 895
 
-Source
-------
-
-`fractal_core_shell.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/fractal_core_shell.py>`_
-
-`fractal_core_shell.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/fractal_core_shell.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -64,5 +57,4 @@
 * **Last Modified by:** Paul Butler and Paul Kienzle **Date:** November 27, 2016
 * **Last Reviewed by:** Paul Butler and Paul Kienzle **Date:** November 27, 2016
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/fuzzy_sphere.py
===================================================================
--- sasmodels/models/fuzzy_sphere.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/fuzzy_sphere.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -53,18 +53,10 @@
 .. [#] M Stieger, J. S Pedersen, P Lindner, W Richtering, *Langmuir*, 20 (2004) 7283-7292
 
-Source
-------
-
-`fuzzy_sphere.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/fuzzy_sphere.py>`_
-
-`fuzzy_sphere.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/fuzzy_sphere.c>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 
Index: sasmodels/models/gauss_lorentz_gel.py
===================================================================
--- sasmodels/models/gauss_lorentz_gel.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/gauss_lorentz_gel.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -34,16 +34,10 @@
 .. [#] G Evmenenko, E Theunissen, K Mortensen, H Reynaers, *Polymer*, 42 (2001) 2907-2913
 
-Source
-------
-
-`gauss_lorentz_gel.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/gauss_lorentz_gel.py>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 
Index: sasmodels/models/gaussian_peak.py
===================================================================
--- sasmodels/models/gaussian_peak.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/gaussian_peak.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -27,16 +27,10 @@
 None.
 
-Source
-------
-
-`gaussian_peak.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/gaussian_peak.py>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 
Index: sasmodels/models/gel_fit.py
===================================================================
--- sasmodels/models/gel_fit.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/gel_fit.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -41,18 +41,10 @@
 .. [#] Simon Mallam, Ferenc Horkay, Anne-Marie Hecht, Adrian R Rennie, Erik Geissler, *Macromolecules* 1991, 24, 543-548
 
-Source
-------
-
-`gel_fit.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/gel_fit.py>`_
-
-`gel_fit.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/gel_fit.c>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 
Index: sasmodels/models/guinier.py
===================================================================
--- sasmodels/models/guinier.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/guinier.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -48,16 +48,10 @@
 .. [#] A Guinier and G Fournet, *Small-Angle Scattering of X-Rays*, John Wiley & Sons, New York (1955)
 
-Source
-------
-
-`guinier.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/guinier.py>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 
Index: sasmodels/models/guinier_porod.py
===================================================================
--- sasmodels/models/guinier_porod.py	(revision 7a5f8afcd94f7cc6f98efab423657560350f9f99)
+++ sasmodels/models/guinier_porod.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -63,16 +63,10 @@
 .. [#] B Hammouda, *Analysis of the Beaucage model, J. Appl. Cryst.*, (2010), 43, 1474-1478
 
-Source
-------
-
-`guinier_porod.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/guinier_porod.py>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 
Index: sasmodels/models/hardsphere.py
===================================================================
--- sasmodels/models/hardsphere.py	(revision 5f3c53407f846f392cb5b6037b030e309de351eb)
+++ sasmodels/models/hardsphere.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -3,17 +3,17 @@
 Calculates the interparticle structure factor for monodisperse
 spherical particles interacting through hard sphere (excluded volume)
-interactions. This $S(q)$ may also be a reasonable approximation for 
-other particle shapes that freely rotate (but see the note below), 
+interactions. This $S(q)$ may also be a reasonable approximation for
+other particle shapes that freely rotate (but see the note below),
 and for moderately polydisperse systems.
 
 .. note::
 
-   This routine is intended for uncharged particles! For charged 
+   This routine is intended for uncharged particles! For charged
    particles try using the :ref:`hayter-msa` $S(q)$ instead.
-   
+
 .. note::
 
-   Earlier versions of SasView did not incorporate the so-called 
-   $\beta(q)$ ("beta") correction [1] for polydispersity and non-sphericity. 
+   Earlier versions of SasView did not incorporate the so-called
+   $\beta(q)$ ("beta") correction [1] for polydispersity and non-sphericity.
    This is only available in SasView versions 4.2.2 and higher.
 
@@ -25,8 +25,8 @@
 
 For numerical stability the computation uses a Taylor series expansion
-at very small $qR$, but there may be a very minor glitch at the 
+at very small $qR$, but there may be a very minor glitch at the
 transition point in some circumstances.
 
-This S(q) uses the Percus-Yevick closure relationship [2] where the 
+This S(q) uses the Percus-Yevick closure relationship [2] where the
 interparticle potential $U(r)$ is
 
@@ -54,16 +54,10 @@
 .. [#] J K Percus, J Yevick, *J. Phys. Rev.*, 110, (1958) 1
 
-Source
-------
-
-`hardsphere.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/hardsphere.py>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 
Index: sasmodels/models/hayter_msa.py
===================================================================
--- sasmodels/models/hayter_msa.py	(revision 99478655778bcd4624a7d9e4983e9f86b6f44615)
+++ sasmodels/models/hayter_msa.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -1,32 +1,32 @@
 # Note: model title and parameter table are inserted automatically
 r"""
-Calculates the interparticle structure factor for a system of charged, 
-spheroidal, objects in a dielectric medium [1,2]. When combined with an 
-appropriate form factor $P(q)$, this allows for inclusion of the 
-interparticle interference effects due to screened Coulombic 
+Calculates the interparticle structure factor for a system of charged,
+spheroidal, objects in a dielectric medium [1,2]. When combined with an
+appropriate form factor $P(q)$, this allows for inclusion of the
+interparticle interference effects due to screened Coulombic
 repulsion between the charged particles.
 
 .. note::
 
-   This routine only works for charged particles! If the charge is set 
-   to zero the routine may self-destruct! For uncharged particles use 
+   This routine only works for charged particles! If the charge is set
+   to zero the routine may self-destruct! For uncharged particles use
    the :ref:`hardsphere` $S(q)$ instead. The upper limit for the charge
    is limited to 200e to avoid numerical instabilities.
-   
+
 .. note::
 
-   Earlier versions of SasView did not incorporate the so-called 
-   $\beta(q)$ ("beta") correction [3] for polydispersity and non-sphericity. 
+   Earlier versions of SasView did not incorporate the so-called
+   $\beta(q)$ ("beta") correction [3] for polydispersity and non-sphericity.
    This is only available in SasView versions 4.2.2 and higher.
 
 The salt concentration is used to compute the ionic strength of the solution
-which in turn is used to compute the Debye screening length. There is no 
-provision for entering the ionic strength directly. **At present the 
-counterions are assumed to be monovalent**, though it should be possible 
-to simulate the effect of multivalent counterions by increasing the salt 
+which in turn is used to compute the Debye screening length. There is no
+provision for entering the ionic strength directly. **At present the
+counterions are assumed to be monovalent**, though it should be possible
+to simulate the effect of multivalent counterions by increasing the salt
 concentration.
 
-Over the range 0 - 100 C the dielectric constant $\kappa$ of water may be 
-approximated with a maximum deviation of 0.01 units by the empirical 
+Over the range 0 - 100 C the dielectric constant $\kappa$ of water may be
+approximated with a maximum deviation of 0.01 units by the empirical
 formula [4]
 
@@ -34,5 +34,5 @@
 
     \kappa = 87.740 - 0.40008 T + 9.398x10^{-4} T^2 - 1.410x10^{-6} T^3
-    
+
 where $T$ is the temperature in celsius.
 
@@ -63,18 +63,10 @@
 .. [#] C G Malmberg and A A Maryott, *J. Res. Nat. Bureau Standards*, 56 (1956) 2641
 
-Source
-------
-
-`hayter_msa.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/hayter_msa.py>`_
-
-`hayter_msa.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/hayter_msa.c>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
+* **Author:**
+* **Last Modified by:**
 * **Last Reviewed by:** Steve King **Date:** March 28, 2019
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
@@ -101,6 +93,6 @@
     [Hayter-Penfold RMSA charged sphere interparticle S(Q) structure factor]
         Interparticle structure factor S(Q) for charged hard spheres.
-    This routine only works for charged particles! For uncharged particles 
-    use the hardsphere S(q) instead. The "beta(q)" correction is available 
+    This routine only works for charged particles! For uncharged particles
+    use the hardsphere S(q) instead. The "beta(q)" correction is available
     in versions 4.2.2 and higher.
 """
@@ -110,8 +102,8 @@
 #             [ "name", "units", default, [lower, upper], "type", "description" ],
 #
-# NOTE: SMK, 28Mar19 The upper limit for charge is set to 200 to avoid instabilities noted by PK in 
-#       Ticket #1152. Also see the thread in Ticket 859. The docs above also note that charge=0 will 
+# NOTE: SMK, 28Mar19 The upper limit for charge is set to 200 to avoid instabilities noted by PK in
+#       Ticket #1152. Also see the thread in Ticket 859. The docs above also note that charge=0 will
 #       cause problems, yet the default parameters allowed it! After discussions with PK I have
-#       changed it to (an arbitarily) small but non-zero value.  But I haven't changed the low limit 
+#       changed it to (an arbitarily) small but non-zero value.  But I haven't changed the low limit
 #       in function random() below.
 #
Index: sasmodels/models/hollow_cylinder.py
===================================================================
--- sasmodels/models/hollow_cylinder.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/hollow_cylinder.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -62,11 +62,4 @@
 .. [#] L. Onsager, *Ann. New York Acad. Sci.*, 51 (1949) 627-659
 
-Source
-------
-
-`hollow_cylinder.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/hollow_cylinder.py>`_
-
-`hollow_cylinder.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/hollow_cylinder.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -76,5 +69,4 @@
    (corrected VR calculation)
 * **Last Reviewed by:** Paul Butler **Date:** September 06, 2018
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 from __future__ import division
Index: sasmodels/models/hollow_rectangular_prism.py
===================================================================
--- sasmodels/models/hollow_rectangular_prism.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/hollow_rectangular_prism.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -100,11 +100,4 @@
 .. [#] L. Onsager, *Ann. New York Acad. Sci.*, 51 (1949) 627-659
 
-Source
-------
-
-`hollow_rectangular_prism.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/hollow_rectangular_prism.py>`_
-
-`hollow_rectangular_prism.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/hollow_rectangular_prism.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -113,5 +106,4 @@
 * **Last Modified by:** Paul Kienzle **Date:** December 14, 2017
 * **Last Reviewed by:** Paul Butler **Date:** September 06, 2018
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/hollow_rectangular_prism_thin_walls.py
===================================================================
--- sasmodels/models/hollow_rectangular_prism_thin_walls.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/hollow_rectangular_prism_thin_walls.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -74,11 +74,4 @@
 .. [#] L. Onsager, *Ann. New York Acad. Sci.*, 51 (1949) 627-659
 
-Source
-------
-
-`hollow_rectangular_prism_thin_walls.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/hollow_rectangular_prism_thin_walls.py>`_
-
-`hollow_rectangular_prism_thin_walls.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/hollow_rectangular_prism_thin_walls.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -87,5 +80,4 @@
 * **Last Modified by:** Paul Kienzle **Date:** October 15, 2016
 * **Last Reviewed by:** Paul Butler **Date:** September 07, 2018
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/lamellar.py
===================================================================
--- sasmodels/models/lamellar.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/lamellar.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -43,16 +43,10 @@
 .. [#] J Berghausen, J Zipfel, P Lindner, W Richtering, *J. Phys. Chem. B*, 105, (2001) 11081-11088
 
-Source
-------
-
-`lamellar.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/lamellar.py>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 
Index: sasmodels/models/lamellar_hg.py
===================================================================
--- sasmodels/models/lamellar_hg.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/lamellar_hg.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -45,16 +45,10 @@
 .. [#] J Berghausen, J Zipfel, P Lindner, W Richtering, *J. Phys. Chem. B*, 105, (2001) 11081-11088
 
-Source
-------
-
-`lamellar_hg.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/lamellar_hg.py>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
+* **Author:**
+* **Last Modified by:**
 * **Last Reviewed by:** S King and P Butler **Date** April 17, 2014
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/lamellar_hg_stack_caille.py
===================================================================
--- sasmodels/models/lamellar_hg_stack_caille.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/lamellar_hg_stack_caille.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -72,18 +72,10 @@
 .. [#] J Berghausen, J Zipfel, P Lindner, W Richtering, *J. Phys. Chem. B*, 105, (2001) 11081-11088
 
-Source
-------
-
-`lamellar_hg_stack_caille.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/lamellar_hg_stack_caille.py>`_
-
-`lamellar_hg_stack_caille.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/lamellar_hg_stack_caille.c>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 
Index: sasmodels/models/lamellar_stack_caille.py
===================================================================
--- sasmodels/models/lamellar_stack_caille.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/lamellar_stack_caille.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -68,18 +68,10 @@
 .. [#] J Berghausen, J Zipfel, P Lindner, W Richtering, *J. Phys. Chem. B*, 105, (2001) 11081-11088
 
-Source
-------
-
-`lamellar_stack_caille.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/lamellar_stack_caille.py>`_
-
-`lamellar_stack_caille.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/lamellar_stack_caille.c>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 
Index: sasmodels/models/lamellar_stack_paracrystal.py
===================================================================
--- sasmodels/models/lamellar_stack_paracrystal.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/lamellar_stack_paracrystal.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -90,18 +90,10 @@
 .. [#] M Bergstrom, J S Pedersen, P Schurtenberger, S U Egelhaaf, *J. Phys. Chem. B*, 103 (1999) 9888-9897
 
-Source
-------
-
-`lamellar_stack_paracrystal.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/lamellar_stack_paracrystal.py>`_
-
-`lamellar_stack_paracrystal.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/lamellar_stack_paracrystal.c>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 import numpy as np
Index: sasmodels/models/line.py
===================================================================
--- sasmodels/models/line.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/line.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -23,16 +23,11 @@
 None.
 
-Source
-------
-
-`line.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/line.py>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019"""
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
+"""
 
 import numpy as np
Index: sasmodels/models/linear_pearls.py
===================================================================
--- sasmodels/models/linear_pearls.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/linear_pearls.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -31,18 +31,11 @@
 .. [#] A V Dobrynin, M Rubinstein and S P Obukhov, *Macromol.*, 29 (1996) 2974-2979
 
-Source
-------
-
-`linear_pearls.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/linear_pearls.py>`_
-
-`linear_pearls.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/linear_pearls.c>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019"""
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
+"""
 
 import numpy as np
Index: sasmodels/models/lorentz.py
===================================================================
--- sasmodels/models/lorentz.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/lorentz.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -22,16 +22,11 @@
 .. [#] L.S. Qrnstein and F. Zernike, *Proc. Acad. Sci. Amsterdam* 17, 793 (1914), and *Z. Phys.* 19, 134 (1918), and 27, 761 {1926); referred to as QZ.
 
-Source
-------
-
-`lorentz.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/lorentz.py>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019"""
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
+"""
 
 import numpy as np
Index: sasmodels/models/mass_fractal.py
===================================================================
--- sasmodels/models/mass_fractal.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/mass_fractal.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -51,18 +51,11 @@
 .. [#] D Mildner and P Hall, *J. Phys. D: Appl. Phys.*, 19 (1986) 1535-1545 Equation(9)
 
-Source
-------
-
-`mass_fractal.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/mass_fractal.py>`_
-
-`mass_fractal.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/mass_fractal.c>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019"""
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
+"""
 
 import numpy as np
Index: sasmodels/models/mass_surface_fractal.py
===================================================================
--- sasmodels/models/mass_surface_fractal.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/mass_surface_fractal.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -55,18 +55,10 @@
    35 (1987) 2361-2364 Equation(2)
 
-Source
-------
-
-`mass_surface_fractal.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/mass_surface_fractal.py>`_
-
-`mass_surface_fractal.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/mass_surface_fractal.c>`_
-
 Authorship and Verification
 ----------------------------
 
 * **Author:** Piotr Rozyczko **Date:** Jan 20, 2016
-* **Last Modified by:** 
+* **Last Modified by:**
 * **Last Reviewed by:** Richard Heenan **Date:** May 30, 2018
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/mono_gauss_coil.py
===================================================================
--- sasmodels/models/mono_gauss_coil.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/mono_gauss_coil.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -49,18 +49,11 @@
 .. [#] http://www.ncnr.nist.gov/staff/hammouda/distance_learning/chapter_28.pdf
 
-Source
-------
-
-`mono_gauss_coil.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/mono_gauss_coil.py>`_
-
-`mono_gauss_coil.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/mono_gauss_coil.c>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019"""
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
+"""
 
 import numpy as np
Index: sasmodels/models/multilayer_vesicle.py
===================================================================
--- sasmodels/models/multilayer_vesicle.py	(revision 6607260ee7aa5dd8ac172c86cdec32f354c2726d)
+++ sasmodels/models/multilayer_vesicle.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -100,11 +100,4 @@
    R Zana and M Dekker, New York, (1987).
 
-Source
-------
-
-`multilayer_vesicle.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/multilayer_vesicle.py>`_
-
-`multilayer_vesicle.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/multilayer_vesicle.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -114,5 +107,4 @@
 * **Last Modified by:** Paul Kienzle **Date:** Feb 7, 2017
 * **Last Reviewed by:** Steve King **Date:** March 28, 2019
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/onion.py
===================================================================
--- sasmodels/models/onion.py	(revision 62dc8895694e8dcacf8cb65a82b543b1efa56f42)
+++ sasmodels/models/onion.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -8,5 +8,5 @@
 .. note::
 
-    *radius* represents the core radius $r_0$ and *thickness[k]* represents 
+    *radius* represents the core radius $r_0$ and *thickness[k]* represents
     the thickness of the shell, $r_{k+1} - r_k$.
 
@@ -60,5 +60,5 @@
 and the volume is $V(r) = \frac{4\pi}{3}r^3$.
 
-The volume of the particle is determined by the radius of the outer 
+The volume of the particle is determined by the radius of the outer
 shell, so $V_\text{particle} = V(r_N)$.
 
@@ -104,8 +104,8 @@
     B&=\frac{\rho_\text{out} - \rho_\text{in}}{e^A-1}
          & C &= \frac{\rho_\text{in}e^A - \rho_\text{out}}{e^A-1} \\
-         
+
     \alpha_\text{in} &= A\frac{r_{\text{shell}-1}}{\Delta t_\text{shell}}
          & \alpha_\text{out} &= A\frac{r_\text{shell}}{\Delta t_\text{shell}} \\
-         
+
     \beta_\text{in} &= qr_{\text{shell}-1}
         & \beta_\text{out} &= qr_\text{shell} \\
@@ -123,5 +123,5 @@
 **Linear SLD profile** ($A \sim 0$):
 
-For small $A$, say, $A = -0.0001$, the function converges to that of of a linear 
+For small $A$, say, $A = -0.0001$, the function converges to that of of a linear
 SLD profile with
 
@@ -159,5 +159,5 @@
 **Constant SLD** ($A = 0$):
 
-When $A = 0$ the exponential function has no dependence on the radius (meaning 
+When $A = 0$ the exponential function has no dependence on the radius (meaning
 $\rho_\text{out}$ is ignored in this case) and becomes flat. We set the constant
 to $\rho_\text{in}$ for convenience, and thus the form factor contributed by
@@ -187,18 +187,10 @@
 .. [#] L A Feigin and D I Svergun, *Structure Analysis by Small-Angle X-Ray and Neutron Scattering*, Plenum Press, New York, 1987.
 
-Source
-------
-
-`onion.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/onion.py>`_
-
-`onion.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/onion.c>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
+* **Author:**
+* **Last Modified by:**
 * **Last Reviewed by:** Steve King **Date:** March 28, 2019
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/parallelepiped.py
===================================================================
--- sasmodels/models/parallelepiped.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/parallelepiped.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -182,11 +182,4 @@
 .. [#] L. Onsager, *Ann. New York Acad. Sci.*, 51 (1949) 627-659
 
-Source
-------
-
-`parallelepiped.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/parallelepiped.py>`_
-
-`parallelepiped.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/parallelepiped.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -196,5 +189,4 @@
 * **Last Reviewed by:**  Miguel Gonzales and Paul Butler **Date:** May 24,
   2018 - documentation updated
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/peak_lorentz.py
===================================================================
--- sasmodels/models/peak_lorentz.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/peak_lorentz.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -27,18 +27,10 @@
 None.
 
-Source
-------
-
-`peak_lorentz.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/peak_lorentz.py>`_
-
-`peak_lorentz.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/peak_lorentz.c>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 
Index: sasmodels/models/pearl_necklace.py
===================================================================
--- sasmodels/models/pearl_necklace.py	(revision c0136c722916ad8f651124ed56a25d1fb9118d2a)
+++ sasmodels/models/pearl_necklace.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -55,11 +55,4 @@
 .. [#] L. Onsager, *Ann. New York Acad. Sci.*, 51 (1949) 627-659
 
-Source
-------
-
-`pearl_necklace.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/pearl_necklace.py>`_
-
-`pearl_necklace.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/pearl_necklace.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -68,5 +61,4 @@
 * **Last Modified by:** Andrew Jackson **Date:** March 28, 2019
 * **Last Reviewed by:** Steve King **Date:** March 28, 2019
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/poly_gauss_coil.py
===================================================================
--- sasmodels/models/poly_gauss_coil.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/poly_gauss_coil.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -48,18 +48,10 @@
 .. [#] http://www.ncnr.nist.gov/staff/hammouda/distance_learning/chapter_28.pdf
 
-Source
-------
-
-`poly_gauss_coil.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/poly_gauss_coil.py>`_
-
-`poly_gauss_coil.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/poly_gauss_coil.c>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 
Index: sasmodels/models/polymer_excl_volume.py
===================================================================
--- sasmodels/models/polymer_excl_volume.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/polymer_excl_volume.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -113,18 +113,10 @@
 .. [#] B Hammouda & M-H Kim, *The empirical core-chain model* 247 (2017) 434-440
 
-Source
-------
-
-`polymer_excl_volume.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/polymer_excl_volume.py>`_
-
-`polymer_excl_volume.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/polymer_excl_volume.c>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 
Index: sasmodels/models/polymer_micelle.py
===================================================================
--- sasmodels/models/polymer_micelle.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/polymer_micelle.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -70,11 +70,4 @@
 .. [#] J Pedersen, *J. Appl. Cryst.*, 33 (2000) 637-640
 
-Source
-------
-
-`polymer_micelle.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/polymer_micelle.py>`_
-
-`polymer_micelle.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/polymer_micelle.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -83,5 +76,4 @@
 * **Last modified by:** Paul Kienzle **Date:** November 29, 2017
 * **Last reviewed by:** Steve King **Date:** November 30, 2017
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/porod.py
===================================================================
--- sasmodels/models/porod.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/porod.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -21,16 +21,10 @@
 .. [#] L A Feigin, D I Svergun, G W Taylor. *Structure Analysis by Small-Angle X-ray and Neutron Scattering*. Springer. (1987)
 
-Source
-------
-
-`porod.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/porod.py>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 
Index: sasmodels/models/power_law.py
===================================================================
--- sasmodels/models/power_law.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/power_law.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -26,16 +26,10 @@
 None.
 
-Source
-------
-
-`power_law.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/power_law.py>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 
Index: sasmodels/models/pringle.py
===================================================================
--- sasmodels/models/pringle.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/pringle.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -43,11 +43,4 @@
 .. [#] L. Onsager, *Ann. New York Acad. Sci.*, 51 (1949) 627-659
 
-Source
-------
-
-`pringle.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/pringle.py>`_
-
-`pringle.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/pringle.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -56,5 +49,4 @@
 * **Last Modified by:** Wojciech Wpotrzebowski **Date:** March 20, 2016
 * **Last Reviewed by:** Andrew Jackson **Date:** September 26, 2016
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/raspberry.py
===================================================================
--- sasmodels/models/raspberry.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/raspberry.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -100,11 +100,4 @@
 .. [#] K Larson-Smith, A Jackson, and D C Pozzo, *Small angle scattering model for Pickering emulsions and raspberry particles*, *Journal of Colloid and Interface Science*, 343(1) (2010) 36-41
 
-Source
-------
-
-`raspberry.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/raspberry.py>`_
-
-`raspberry.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/raspberry.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -113,5 +106,4 @@
 * **Last Modified by:** Andrew Jackson **Date:** March 20, 2016
 * **Last Reviewed by:** Andrew Jackson **Date:** March 20, 2016
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/rectangular_prism.py
===================================================================
--- sasmodels/models/rectangular_prism.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/rectangular_prism.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -100,18 +100,10 @@
 .. [#] L. Onsager, *Ann. New York Acad. Sci.*, 51 (1949) 627-659
 
-Source
-------
-
-`rectangular_prism.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/rectangular_prism.py>`_
-
-`rectangular_prism.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/rectangular_prism.c>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 
Index: sasmodels/models/rpa.py
===================================================================
--- sasmodels/models/rpa.py	(revision 055ec4fc3a36fe5d3ff655931eb83565f03cf269)
+++ sasmodels/models/rpa.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -34,5 +34,5 @@
 that $R_g^2 = n b^2/6$ where $b$ is the statistical segment length and $n$ is
 the number of statistical segment lengths. A nice tutorial on how these are
-constructed and implemented can be found in chapters 28, 31 and 34, and Part H, 
+constructed and implemented can be found in chapters 28, 31 and 34, and Part H,
 of Hammouda's 'SANS Toolbox' [3].
 
@@ -67,11 +67,4 @@
 .. [#] B. Hammouda, *SANS Toolbox* https://www.ncnr.nist.gov/staff/hammouda/the_sans_toolbox.pdf.
 
-Source
-------
-
-`rpa.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/rpa.py>`_
-
-`rpa.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/rpa.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -81,5 +74,4 @@
 * **Last Modified by:** Paul Butler **Date:** March 12, 2017
 * **Last Reviewed by:** Steve King **Date:** March 27, 2019
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/sc_paracrystal.py
===================================================================
--- sasmodels/models/sc_paracrystal.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/sc_paracrystal.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -101,11 +101,4 @@
 .. [#CIT1990] Hideki Matsuoka et. al. *Physical Review B*, 41 (1990) 3854 -3856 (Corrections to FCC and BCC lattice structure calculation)
 
-Source
-------
-
-`sc_paracrystal.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/sc_paracrystal.py>`_
-
-`sc_paracrystal.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/sc_paracrystal.c>`_
-
 Authorship and Verification
 ---------------------------
@@ -114,5 +107,4 @@
 * **Last Modified by:** Steve King **Date:** March 25, 2019
 * **Last Reviewed by:** Richard Heenan **Date:** March 21, 2016
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/sphere.py
===================================================================
--- sasmodels/models/sphere.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/sphere.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -39,18 +39,10 @@
 .. [#] A Guinier and G. Fournet, *Small-Angle Scattering of X-Rays*, John Wiley and Sons, New York, (1955)
 
-Source
-------
-
-`sphere.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/sphere.py>`_
-
-`sphere.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/sphere.c>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
+* **Author:**
+* **Last Modified by:**
 * **Last Reviewed by:** S King and P Parker **Date:** 2013/09/09 and 2014/01/06
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/spherical_sld.py
===================================================================
--- sasmodels/models/spherical_sld.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/spherical_sld.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -186,11 +186,4 @@
    and Neutron Scattering, Plenum Press, New York, (1987)
 
-Source
-------
-
-`spherical_sld.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/spherical_sld.py>`_
-
-`spherical_sld.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/spherical_sld.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -199,5 +192,4 @@
 * **Last Modified by:** Paul Kienzle **Date:** Dec 20, 2016
 * **Last Reviewed by:** Paul Butler **Date:** September 8, 2018
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/spinodal.py
===================================================================
--- sasmodels/models/spinodal.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/spinodal.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -44,9 +44,4 @@
 .. [#] T. Hashimoto, M. Takenaka & H. Jinnai. Scattering Studies of Self-Assembling Processes of Polymer Blends in Spinodal Decomposition. J. Appl. Cryst. 24, 457-466 (1991).
 
-Source
-------
-
-`spinodal.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/spinodal.py>`_
-
 Authorship and Verification
 ----------------------------
@@ -55,5 +50,4 @@
 * **Last Modified by:** Steve King **Date:** Oct 25, 2018
 * **Last Reviewed by:** Steve King **Date:** Oct 25, 2018
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/squarewell.py
===================================================================
--- sasmodels/models/squarewell.py	(revision 5f3c53407f846f392cb5b6037b030e309de351eb)
+++ sasmodels/models/squarewell.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -1,15 +1,15 @@
 # Note: model title and parameter table are inserted automatically
 r"""
-Calculates the interparticle structure factor for a hard sphere fluid 
-with a narrow, attractive, square well potential. **The Mean Spherical 
-Approximation (MSA) closure relationship is used, but it is not the most 
-appropriate closure for an attractive interparticle potential.** However, 
-the solution has been compared to Monte Carlo simulations for a square 
-well fluid and these show the MSA calculation to be limited to well 
+Calculates the interparticle structure factor for a hard sphere fluid
+with a narrow, attractive, square well potential. **The Mean Spherical
+Approximation (MSA) closure relationship is used, but it is not the most
+appropriate closure for an attractive interparticle potential.** However,
+the solution has been compared to Monte Carlo simulations for a square
+well fluid and these show the MSA calculation to be limited to well
 depths $\epsilon < 1.5$ kT and volume fractions $\phi < 0.08$.
 
 Positive well depths correspond to an attractive potential well. Negative
 well depths correspond to a potential "shoulder", which may or may not be
-physically reasonable. The :ref:`stickyhardsphere` model may be a better 
+physically reasonable. The :ref:`stickyhardsphere` model may be a better
 choice in some circumstances.
 
@@ -18,6 +18,6 @@
 .. note::
 
-   Earlier versions of SasView did not incorporate the so-called 
-   $\beta(q)$ ("beta") correction [2] for polydispersity and non-sphericity. 
+   Earlier versions of SasView did not incorporate the so-called
+   $\beta(q)$ ("beta") correction [2] for polydispersity and non-sphericity.
    This is only available in SasView versions 4.2.2 and higher.
 
@@ -54,16 +54,10 @@
 .. [#] M Kotlarchyk and S-H Chen, *J. Chem. Phys.*, 79 (1983) 2461-2469
 
-Source
-------
-
-`squarewell.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/squarewell.py>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
+* **Author:**
+* **Last Modified by:**
 * **Last Reviewed by:** Steve King **Date:** March 27, 2019
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
@@ -75,8 +69,8 @@
 description = """\
     [Square well structure factor, with MSA closure]
-        Interparticle structure factor S(Q) for a hard sphere fluid 
+        Interparticle structure factor S(Q) for a hard sphere fluid
     with a narrow attractive well. Fits are prone to deliver non-
-    physical parameters; use with care and read the references in 
-    the model documentation.The "beta(q)" correction is available 
+    physical parameters; use with care and read the references in
+    the model documentation.The "beta(q)" correction is available
     in versions 4.2.2 and higher.
 """
Index: sasmodels/models/stacked_disks.py
===================================================================
--- sasmodels/models/stacked_disks.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/stacked_disks.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -102,11 +102,4 @@
    John Wiley and Sons, New York, 1955
 
-Source
-------
-
-`stacked_disks.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/stacked_disks.py>`_
-
-`stacked_disks.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/stacked_disks.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -115,5 +108,4 @@
 * **Last Modified by:** Paul Butler and Paul Kienzle **Date:** November 26, 2016
 * **Last Reviewed by:** Paul Butler and Paul Kienzle **Date:** November 26, 2016
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/star_polymer.py
===================================================================
--- sasmodels/models/star_polymer.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/star_polymer.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -50,11 +50,4 @@
    B Ewen *Macromolecules*, 22, 468-472 (1989)
 
-Source
-------
-
-`star_polymer.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/star_polymer.py>`_
-
-`star_polymer.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/star_polymer.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -63,5 +56,4 @@
 * **Last Modified by:** Paul Butler **Date:** Auguts 26, 2017
 * **Last Reviewed by:** Ziang Li and Richard Heenan **Date:** May 17, 2017
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/stickyhardsphere.py
===================================================================
--- sasmodels/models/stickyhardsphere.py	(revision 5f3c53407f846f392cb5b6037b030e309de351eb)
+++ sasmodels/models/stickyhardsphere.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -1,17 +1,17 @@
 # Note: model title and parameter table are inserted automatically
 r"""
-Calculates the interparticle structure factor for a hard sphere fluid 
-with a narrow, attractive, potential well. Unlike the :ref:`squarewell` 
-model, here a perturbative solution of the Percus-Yevick closure 
-relationship is used. The strength of the attractive well is described 
+Calculates the interparticle structure factor for a hard sphere fluid
+with a narrow, attractive, potential well. Unlike the :ref:`squarewell`
+model, here a perturbative solution of the Percus-Yevick closure
+relationship is used. The strength of the attractive well is described
 in terms of "stickiness" as defined below.
 
 The perturbation parameter (perturb), $\tau$, should be fixed between 0.01
-and 0.1 and the "stickiness", $\epsilon$, allowed to vary to adjust the 
-interaction strength. The "stickiness" is defined in the equation below and is 
-a function of both the perturbation parameter and the interaction strength. 
-$\epsilon$ and $\tau$ are defined in terms of the hard sphere diameter $(\sigma = 2 R)$, 
-the width of the square well, $\Delta$ (having the same units as $R$\ ), 
-and the depth of the well, $U_o$, in units of $kT$. From the definition, it 
+and 0.1 and the "stickiness", $\epsilon$, allowed to vary to adjust the
+interaction strength. The "stickiness" is defined in the equation below and is
+a function of both the perturbation parameter and the interaction strength.
+$\epsilon$ and $\tau$ are defined in terms of the hard sphere diameter $(\sigma = 2 R)$,
+the width of the square well, $\Delta$ (having the same units as $R$\ ),
+and the depth of the well, $U_o$, in units of $kT$. From the definition, it
 is clear that smaller $\epsilon$ means a stronger attraction.
 
@@ -37,6 +37,6 @@
 
 The true particle volume fraction, $\phi$, is not equal to $h$ which appears
-in most of reference [1]. The two are related in equation (24). Reference 
-[1] also describes the relationship between this perturbative solution and 
+in most of reference [1]. The two are related in equation (24). Reference
+[1] also describes the relationship between this perturbative solution and
 the original sticky hard sphere (or "adhesive sphere") model of Baxter [2].
 
@@ -47,15 +47,15 @@
    reported to the command window and $S(q)$ is set to -1 (so it will
    disappear on a log-log plot!).
-   
-   Use tight bounds to keep the parameters to values that you know are 
-   physical (test them), and keep nudging them until the optimization 
+
+   Use tight bounds to keep the parameters to values that you know are
+   physical (test them), and keep nudging them until the optimization
    does not hit the constraints.
 
 .. note::
 
-   Earlier versions of SasView did not incorporate the so-called 
-   $\beta(q)$ ("beta") correction [3] for polydispersity and non-sphericity. 
+   Earlier versions of SasView did not incorporate the so-called
+   $\beta(q)$ ("beta") correction [3] for polydispersity and non-sphericity.
    This is only available in SasView versions 4.2.2 and higher.
-   
+
 In SasView the effective radius may be calculated from the parameters
 used in the form factor $P(q)$ that this $S(q)$ is combined with.
@@ -78,16 +78,10 @@
 .. [#] M Kotlarchyk and S-H Chen, *J. Chem. Phys.*, 79 (1983) 2461-2469
 
-Source
-------
-
-`stickyhardsphere.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/stickyhardsphere.py>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
+* **Author:**
+* **Last Modified by:**
 * **Last Reviewed by:** Steve King **Date:** March 27, 2019
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
@@ -101,8 +95,8 @@
 description = """\
     [Sticky hard sphere structure factor, with Percus-Yevick closure]
-        Interparticle structure factor S(Q) for a hard sphere fluid 
+        Interparticle structure factor S(Q) for a hard sphere fluid
     with a narrow attractive well. Fits are prone to deliver non-
-    physical parameters; use with care and read the references in 
-    the model documentation.The "beta(q)" correction is available 
+    physical parameters; use with care and read the references in
+    the model documentation.The "beta(q)" correction is available
     in versions 4.2.2 and higher.
 """
Index: sasmodels/models/surface_fractal.py
===================================================================
--- sasmodels/models/surface_fractal.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/surface_fractal.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -38,18 +38,10 @@
 .. [#] D Mildner and P Hall, *J. Phys. D: Appl. Phys.*, 19 (1986) 1535-1545
 
-Source
-------
-
-`surface_fractal.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/surface_fractal.py>`_
-
-`surface_fractal.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/surface_fractal.c>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 
Index: sasmodels/models/teubner_strey.py
===================================================================
--- sasmodels/models/teubner_strey.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/teubner_strey.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -65,18 +65,10 @@
 .. [#] H Endo, M Mihailescu, M. Monkenbusch, J Allgaier, G Gompper, D Richter, B Jakobs, T Sottmann, R Strey, and I Grillo, *J. Chem. Phys.*, 115 (2001), 580
 
-Source
-------
-
-`teubner_strey.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/teubner_strey.py>`_
-
-`teubner_strey.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/teubner_strey.c>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 from __future__ import division
Index: sasmodels/models/triaxial_ellipsoid.py
===================================================================
--- sasmodels/models/triaxial_ellipsoid.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/triaxial_ellipsoid.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -116,11 +116,4 @@
 .. [#] Finnigan, J.A., Jacobs, D.J., 1971. *Light scattering by ellipsoidal particles in solution*, J. Phys. D: Appl. Phys. 4, 72-77. doi:10.1088/0022-3727/4/1/310
 
-Source
-------
-
-`triaxial_ellipsoid.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/triaxial_ellipsoid.py>`_
-
-`triaxial_ellipsoid.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/triaxial_ellipsoid.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -129,5 +122,4 @@
 * **Last Modified by:** Paul Kienzle (improved calculation) **Date:** April 4, 2017
 * **Last Reviewed by:** Paul Kienzle & Richard Heenan **Date:**  April 4, 2017
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/two_lorentzian.py
===================================================================
--- sasmodels/models/two_lorentzian.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/two_lorentzian.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -27,9 +27,4 @@
 None.
 
-Source
-------
-
-`two_lorentzian.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/two_lorentzian.py>`_
-
 Authorship and Verification
 ----------------------------
@@ -38,5 +33,4 @@
 * **Last Modified by:** Piotr rozyczko **Date:** January 29, 2016
 * **Last Reviewed by:** Paul Butler **Date:** March 21, 2016
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/two_power_law.py
===================================================================
--- sasmodels/models/two_power_law.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/two_power_law.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -37,9 +37,4 @@
 None.
 
-Source
-------
-
-`two_power_law.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/two_power_law.py>`_
-
 Authorship and Verification
 ----------------------------
@@ -48,5 +43,4 @@
 * **Last Modified by:** Wojciech Wpotrzebowski **Date:** February 18, 2016
 * **Last Reviewed by:** Paul Butler **Date:** March 21, 2016
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/unified_power_rg.py
===================================================================
--- sasmodels/models/unified_power_rg.py	(revision 7a5f8afcd94f7cc6f98efab423657560350f9f99)
+++ sasmodels/models/unified_power_rg.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -67,16 +67,10 @@
 .. [#] B Hammouda, *Analysis of the Beaucage model, J. Appl. Cryst.*, (2010), 43, 1474-1478
 
-Source
-------
-
-`unified_power_rg.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/unified_power_rg.py>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 
Index: sasmodels/models/vesicle.py
===================================================================
--- sasmodels/models/vesicle.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/vesicle.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -60,11 +60,4 @@
    Sons, New York, (1955)
 
-Source
-------
-
-`vesicle.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/vesicle.py>`_
-
-`vesicle.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/vesicle.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -73,5 +66,4 @@
 * **Last Modified by:** Paul Butler **Date:** March 20, 2016
 * **Last Reviewed by:** Paul Butler **Date:** September 7, 2018
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
